Bug 705917 - Review Request: cmuclmtk - Language model trainer for CMU Sphinx speech decoders
Review Request: cmuclmtk - Language model trainer for CMU Sphinx speech decoders
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: W. Michael Petullo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2011-05-18 17:05 EDT by Jerry James
Modified: 2011-09-08 17:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-08 17:46:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mike: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2011-05-18 17:05:51 EDT
Spec URL: http://jjames.fedorapeople.org/cmuclmtk/cmuclmtk.spec
SRPM URL: http://jjames.fedorapeople.org/cmuclmtk/cmuclmtk-0.7-1.fc14.src.rpm
Description: 
This package provides the CMU Sphinx Language Model Training Kit.  It is
used to produce language models for consumption by the CMU Sphinx decoders:
pocketsphinx, Sphinx3, and Sphinx4.

Fedora already has pocketsphinx and Sphinx3 (packaged as cmusphinx3).
Comment 1 Jerry James 2011-06-03 15:34:05 EDT
I've moved on to Fedora 15, so I've rebuilt this as an fc15.src.rpm.  It is otherwise identical.  New URLs:

Spec URL: http://jjames.fedorapeople.org/cmuclmtk/cmuclmtk.spec
SRPM URL: http://jjames.fedorapeople.org/cmuclmtk/cmuclmtk-0.7-1.fc15.src.rpm
Comment 2 W. Michael Petullo 2011-06-08 14:01:50 EDT
Running rpmlint on SRPM:

    cmuclmtk.src: W: spelling-error %description -l en_US pocketsphinx -> pocket sphinx, pocket-sphinx, pocketknives
    cmuclmtk.src: W: invalid-url Source1: cmuclmtk-man.tar.xz
    1 packages and 0 specfiles checked; 0 errors, 2 warnings.

The first warning should be fine. I think the second is bacause rpmlint is not aware of the .xz extension, so this should also be fine. Running rpmlint on the binary packages:

    cmuclmtk.x86_64: W: spelling-error %description -l en_US pocketsphinx -> pocket sphinx, pocket-sphinx, pocketknives
    cmuclmtk.x86_64: W: shared-lib-calls-exit /usr/lib64/libcmuclmtk.so.0.0.0 exit@GLIBC_2.2.5
    3 packages and 0 specfiles checked; 0 errors, 2 warnings.

The other question I have is about the license. The RPM specification lists "MIT and BSD." I'd like an expert to review the particular license or point to where the text has already been approved.
Comment 3 Jerry James 2011-06-14 13:33:31 EDT
(In reply to comment #2)
> The first warning should be fine. I think the second is bacause rpmlint is not
> aware of the .xz extension, so this should also be fine.

No, the .xz extension is understood.  The warning just indicates that I didn't provide a URL, like http://some.web.site/cmuclmtk-man.tar.xz.  That's because I wrote the man pages myself...

> The other question I have is about the license. The RPM specification lists
> "MIT and BSD." I'd like an expert to review the particular license or point to
> where the text has already been approved.

That information comes from the top-level "COPYING" file.  And, argh!  I missed the "for research purposes only" clause in the MIT-like part of that file.  I will write to upstream and see if that clause can be removed.  If not, then this package cannot go into Fedora.  Bummer.
Comment 4 Jerry James 2011-09-08 17:46:03 EDT
It looks like the research-only clause cannot be removed soon, if at all.  I'll close this review for now.  If upstream ever manages to purge their codebase of that clause, I'll reopen the review.  Thanks for taking a look at the package.

Note You need to log in before you can comment on or make changes to this bug.